function y = autofun(v,transp_flag)
global a H;
N = length(v);
% FT F v = GT G v + HT H v
GTGv=zeros(N,1);
for i = [1:N]
    GTGv(i) =  [fliplr(a(1:i)'),  a(2:N-i+1)'] * v;
    end
Hv = H*v;
HTHv = H'*Hv;
y = GTGv + HTHv;
return